| Openscape Voice V10 - SOAP Interface Documentation

Public Attributes | List of all members
unsp__CSTAApplicationStatus Struct Reference
CSTA Application

CSTA Application Status. More...

`#include <osv-if-doc.h>`

## Public Attributes
enum unsp__CSTAApplicationSessionStatus | Status
| The SOAP heartbeat status. More...
xsd__string | StatusLastUpdate
| Date and time of last update of SOAP heartbeat status. More...
enum unsp__CSTAApplicationConnectionStatus | ConnectionStatus
| The application connection status. More...
xsd__string | ConnectionStatusLastUpdate
| Date and time of last update of application connection status. More...
bool * | SecureConnected
| Indicates whether the CSTA Application is connected securely. More...
enum unsp__CSTAApplicationSessionStatus | SessionStatus
| The status of the application session service heartbeat. More...
xsd__string | SessionStatusLastUpdate
| Date and time of last update of the status of the application session service heartbeat. More...

## Detailed Description

CSTA Application Status.

## Member Data Documentation

## ◆ ConnectionStatus

enum unsp__CSTAApplicationConnectionStatus unsp__CSTAApplicationStatus::ConnectionStatus

The application connection status.

## ◆ ConnectionStatusLastUpdate

xsd__string unsp__CSTAApplicationStatus::ConnectionStatusLastUpdate

Date and time of last update of application connection status.

default value[range]: NA [0..256]

## ◆ SecureConnected

bool* unsp__CSTAApplicationStatus::SecureConnected

Indicates whether the CSTA Application is connected securely.

## ◆ SessionStatus

enum unsp__CSTAApplicationSessionStatus unsp__CSTAApplicationStatus::SessionStatus

The status of the application session service heartbeat.

## ◆ SessionStatusLastUpdate

xsd__string unsp__CSTAApplicationStatus::SessionStatusLastUpdate

Date and time of last update of the status of the application session service heartbeat.

default value[range]: NA [0..256]

## ◆ Status

enum unsp__CSTAApplicationSessionStatus unsp__CSTAApplicationStatus::Status

The SOAP heartbeat status.

## ◆ StatusLastUpdate

xsd__string unsp__CSTAApplicationStatus::StatusLastUpdate

Date and time of last update of SOAP heartbeat status.

default value[range]: NA [0..256]

The documentation for this struct was generated from the following file:

- /home/build/gitlocal/osv_nem/submgmt/doc/osv-if-doc.h